/**********************************************************************
Copyright (c) 2006 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: Logging.java,v 1.1 2006-02-11 02:42:57 rsmith Exp $

 Randy D. Smith, Intel Corporation - initial implementation based
										based on IBM original examples
**********************************************************************/
package org.eclipse.tptp.platform.agentcontroller.config;

import org.w3c.dom.Element;

public class Logging extends ConfigElement {
	public final static String TAG = ConfigUtility.getString("Config.Logging.Tag");

	public static void setLevel(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.Logging.Level.Tag"), value);
	}

	public static void setFormat(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.Logging.Format.Tag"), value);
	}

	public static void setDirectory(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.Logging.Directory.Tag"), value);
	}
}
