/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: MessageProcessingException.java,v 1.4 2005-10-08 14:28:50 sschneid Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.execution.core;

/**
 * @author rduggan
 * 
 */
public class MessageProcessingException extends Exception {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = -7474804989621284965L;

	/**
	 * 
	 */
	public MessageProcessingException() {
		super();
	}

	/**
	 * @param description
	 */
	public MessageProcessingException(String description) {
		super(description);
	}
}
