/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DebugExecutorStub.java,v 1.8 2007-05-02 19:36:14 paules Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.execution.harness;

/**
 * This executor is identical to {@link org.eclipse.hyades.execution.harness.TestExecutionHarnessExecutorStub}
 * but launches the process in debug mode and attaches the eclipse debugger to it.
 * @author jcanches
 */
public class DebugExecutorStub extends TestExecutionHarnessExecutorStub {

	protected boolean isDebugMode() {
		return true;
	}
	
}
