/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ExtensionsConstants.java,v 1.4 2007-12-10 12:03:41 paules Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.extensions;

import org.eclipse.hyades.test.ui.TestUI;

public class ExtensionsConstants extends TestUI {

	/**
     * Test log viewer preference name for bugzilla submit URL.
     */
	public static final String BUGZILLA_PROVIDER_TYPE = "org.bugzilla"; //$NON-NLS-1$
	
    /**
     * Test log viewer preference name for bugzilla submit URL.
     */
	public static final String BUGZILLA_SUBMIT_URL = "bugzillaSubmitURL"; //$NON-NLS-1$
	/**
     * Test log viewer preference name for bugzilla search URL.
     */
	public static final String BUGZILLA_SEARCH_URL = "bugzillaSearchURL"; //$NON-NLS-1$
	/**
     * Test log viewer preference name for bugzilla open URL.
     */
	public static final String BUGZILLA_OPEN_URL = "bugzillaOpenURL"; //$NON-NLS-1$
}
