/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: TestNavigatorRefresher.java,v 1.2 2005-04-26 15:55:53 jcanches Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.proxy;

import java.util.Iterator;

import org.eclipse.hyades.test.ui.internal.navigator.TestNavigator;
import org.eclipse.hyades.test.ui.navigator.IProxyNodeListener;

/**
 * @author jgout
 *
 */
public class TestNavigatorRefresher implements IProxyNodeListener {

    public void nodeChanged(Object node) {
        for(Iterator it = TestNavigator.getAllInstancesIterator(); it.hasNext();) {
            ((TestNavigator)it.next()).nodeChanged(node);
        }
    }

}
