/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ITestCaseWizard.java,v 1.2 2005-02-25 22:17:55 hleung Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.wizard;

import org.eclipse.hyades.models.common.facades.behavioral.ITestSuite;
import org.eclipse.ui.IWorkbenchWizard;

/**
 * Interface for the wizards that creates new test case.
 * @author pnedelec
 * @since 3.0.0
 */
public interface ITestCaseWizard extends IWorkbenchWizard {
    
    /**
     * Sets the test suite in which the test case will be generated.
     * @param testSuite
     */
    public void setTestSuite(ITestSuite testSuite);
}
