/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ITraceInteractionPreferenceListener.java,v 1.1 2005-07-22 14:49:38 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.uml2sd.trace.preferences;

/**
 * A way to listen to the Apply button from the preference page.
 */
public interface ITraceInteractionPreferenceListener {
	
	public static final String PAGE_SIZE = "page_size"; //$NON-NLS-1$
	
	public void applyPreferences();
	
}
