/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DataChannelCreationException.java,v 1.4 2005-10-08 14:28:50 sschneid Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.execution.core;

/**
 * 
 * Description: Describes a data channel creation failure.
 * 
 * Creation date: Apr 10, 2003
 * 
 */
public class DataChannelCreationException extends Exception {
	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = 5901227304120593458L;

	public DataChannelCreationException(String msg) {
		super(msg);
	}

	public DataChannelCreationException() {
		super();
	}

}