/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: XMLAGENT_CREATELoader.java,v 1.2 2007-12-01 00:06:25 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.loaders.hierarchy;

public class XMLAGENT_CREATELoader extends XMLagentCreateLoader {
    //~ Methods ------------------------------------------------------------------------------------

    public void addAttribute(String name, String value) {
        if (name.indexOf(Constants.LOGGING_UTIL_AGENT_ID) != -1) {
            super.addAttribute("agentId", value);
        } else if (name.indexOf(Constants.LOGGING_UTIL_AGENT_VERSION) != -1) {
            super.addAttribute("version", value);
        } else if (name.indexOf(Constants.LOGGING_UTIL_PROCESS_IDREF) != -1) {
            super.addAttribute("processIdRef", value);
        } else if (name.indexOf(Constants.LOGGING_UTIL_AGENT_NAME) != -1) {
            super.addAttribute("agentName", value);
        } else if (name.indexOf(Constants.LOGGING_UTIL_AGENT_TYPE) != -1) {
            super.addAttribute("agentType", value);
        } else if (name.indexOf(Constants.LOGGING_UTIL_AGENT_PARAMETERS) != -1) {
            super.addAttribute("agentParameters", value);
        } else if (name.indexOf(Constants.LOGGING_UTIL_TIME) != -1) {
            super.addAttribute("time", value);
        }
    }
}
