/*******************************************************************************
 * Copyright (c) 2008, 2009 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stanislav Polevic, Intel - Initial API and Implementation 
 * 	  
 * $Id: IgnoredBinaryFragmentParser.java,v 1.4 2009-05-05 15:45:27 paules Exp $
 *******************************************************************************/
package org.eclipse.hyades.loaders.internal.binary;


public class IgnoredBinaryFragmentParser extends BinaryFragmentParser {
	public boolean parse(BinaryFragment fragment, Offset offset, BFReader reader) {
		//ModelDebugger.log("Ignored handler was invoked for id [" + fragment.getId() + "]");
		return true;
	}
}
