/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: GenericLookUpEntry.java,v 1.2 2007-12-01 00:06:18 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.loaders.util;


/**
 * @author slavescu
 */
public class GenericLookUpEntry{
	protected Object key;
	protected Object value;
	/**
	 *
	 */

	public GenericLookUpEntry() {
		super();
	}

	public Object getKey() {
		return key;
	}

	public Object getValue() {
		return value;
	}

	public void setKey(Object object) {
		key = object;
	}

	public void setValue(Object object) {
		value = object;
	}

	public void reset() {
		key=null;
		value=null;
	}

}
