/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: HyadesBrowserEnumerationImpl.java,v 1.10 2009-05-05 15:46:19 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.configuration.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationFactory;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage;
import org.eclipse.hyades.models.common.configuration.HyadesBrowserEnumeration;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Hyades Browser Enumeration</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_1 <em>WB 1</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_2 <em>WB 2</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_3 <em>WB 3</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_4 <em>WB 4</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_5 <em>WB 5</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_6 <em>WB 6</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesBrowserEnumerationImpl#getWB_7 <em>WB 7</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HyadesBrowserEnumerationImpl extends CFGPsudoEnumerationImpl implements HyadesBrowserEnumeration {
	/**
	 * The default value of the '{@link #getWB_1() <em>WB 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_1()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_1_EDEFAULT = "WB.Microsoft.Internet Explorer";

	/**
	 * The cached value of the '{@link #getWB_1() <em>WB 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_1()
	 * @generated
	 * @ordered
	 */
	protected String wB_1 = WB_1_EDEFAULT;

	/**
	 * The default value of the '{@link #getWB_2() <em>WB 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_2()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_2_EDEFAULT = "WB.Netscape.Netscape";

	/**
	 * The cached value of the '{@link #getWB_2() <em>WB 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_2()
	 * @generated
	 * @ordered
	 */
	protected String wB_2 = WB_2_EDEFAULT;

	/**
	 * The default value of the '{@link #getWB_3() <em>WB 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_3()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_3_EDEFAULT = "WB.Mozilla.Mozilla";

	/**
	 * The cached value of the '{@link #getWB_3() <em>WB 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_3()
	 * @generated
	 * @ordered
	 */
	protected String wB_3 = WB_3_EDEFAULT;

	/**
	 * The default value of the '{@link #getWB_4() <em>WB 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_4()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_4_EDEFAULT = "WB.Apple.Safari";

	/**
	 * The cached value of the '{@link #getWB_4() <em>WB 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_4()
	 * @generated
	 * @ordered
	 */
	protected String wB_4 = WB_4_EDEFAULT;

	/**
	 * The default value of the '{@link #getWB_5() <em>WB 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_5()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_5_EDEFAULT = "WB.Opera.Opera";

	/**
	 * The cached value of the '{@link #getWB_5() <em>WB 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_5()
	 * @generated
	 * @ordered
	 */
	protected String wB_5 = WB_5_EDEFAULT;

	/**
	 * The default value of the '{@link #getWB_6() <em>WB 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_6()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_6_EDEFAULT = "WB.NCSA.Mosaic";

	/**
	 * The cached value of the '{@link #getWB_6() <em>WB 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_6()
	 * @generated
	 * @ordered
	 */
	protected String wB_6 = WB_6_EDEFAULT;

	/**
	 * The default value of the '{@link #getWB_7() <em>WB 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_7()
	 * @generated
	 * @ordered
	 */
	protected static final String WB_7_EDEFAULT = "WB.ISC.Lynx";

	/**
	 * The cached value of the '{@link #getWB_7() <em>WB 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWB_7()
	 * @generated
	 * @ordered
	 */
	protected String wB_7 = WB_7_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated NOT
	 */
	protected HyadesBrowserEnumerationImpl()
	{
		super();
		category = Common_ConfigurationFactory.eINSTANCE.createHyadesBrowserTypeCategory();
		this.getValues().add(wB_1);
		this.getValues().add(wB_2);
		this.getValues().add(wB_3);
		this.getValues().add(wB_4);
		this.getValues().add(wB_5);
		this.getValues().add(wB_6);
		this.getValues().add(wB_7);		
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return Common_ConfigurationPackage.Literals.HYADES_BROWSER_ENUMERATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_1() {
		return wB_1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_1(String newWB_1) {
		String oldWB_1 = wB_1;
		wB_1 = newWB_1;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_1, oldWB_1, wB_1));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_2() {
		return wB_2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_2(String newWB_2) {
		String oldWB_2 = wB_2;
		wB_2 = newWB_2;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_2, oldWB_2, wB_2));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_3() {
		return wB_3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_3(String newWB_3) {
		String oldWB_3 = wB_3;
		wB_3 = newWB_3;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_3, oldWB_3, wB_3));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_4() {
		return wB_4;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_4(String newWB_4) {
		String oldWB_4 = wB_4;
		wB_4 = newWB_4;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_4, oldWB_4, wB_4));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_5() {
		return wB_5;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_5(String newWB_5) {
		String oldWB_5 = wB_5;
		wB_5 = newWB_5;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_5, oldWB_5, wB_5));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_6() {
		return wB_6;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_6(String newWB_6) {
		String oldWB_6 = wB_6;
		wB_6 = newWB_6;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_6, oldWB_6, wB_6));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getWB_7() {
		return wB_7;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWB_7(String newWB_7) {
		String oldWB_7 = wB_7;
		wB_7 = newWB_7;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_7, oldWB_7, wB_7));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_1:
				return getWB_1();
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_2:
				return getWB_2();
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_3:
				return getWB_3();
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_4:
				return getWB_4();
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_5:
				return getWB_5();
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_6:
				return getWB_6();
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_7:
				return getWB_7();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_1:
				setWB_1((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_2:
				setWB_2((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_3:
				setWB_3((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_4:
				setWB_4((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_5:
				setWB_5((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_6:
				setWB_6((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_7:
				setWB_7((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_1:
				setWB_1(WB_1_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_2:
				setWB_2(WB_2_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_3:
				setWB_3(WB_3_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_4:
				setWB_4(WB_4_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_5:
				setWB_5(WB_5_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_6:
				setWB_6(WB_6_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_7:
				setWB_7(WB_7_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_1:
				return WB_1_EDEFAULT == null ? wB_1 != null : !WB_1_EDEFAULT.equals(wB_1);
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_2:
				return WB_2_EDEFAULT == null ? wB_2 != null : !WB_2_EDEFAULT.equals(wB_2);
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_3:
				return WB_3_EDEFAULT == null ? wB_3 != null : !WB_3_EDEFAULT.equals(wB_3);
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_4:
				return WB_4_EDEFAULT == null ? wB_4 != null : !WB_4_EDEFAULT.equals(wB_4);
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_5:
				return WB_5_EDEFAULT == null ? wB_5 != null : !WB_5_EDEFAULT.equals(wB_5);
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_6:
				return WB_6_EDEFAULT == null ? wB_6 != null : !WB_6_EDEFAULT.equals(wB_6);
			case Common_ConfigurationPackage.HYADES_BROWSER_ENUMERATION__WB_7:
				return WB_7_EDEFAULT == null ? wB_7 != null : !WB_7_EDEFAULT.equals(wB_7);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (WB_1: ");
		result.append(wB_1);
		result.append(", WB_2: ");
		result.append(wB_2);
		result.append(", WB_3: ");
		result.append(wB_3);
		result.append(", WB_4: ");
		result.append(wB_4);
		result.append(", WB_5: ");
		result.append(wB_5);
		result.append(", WB_6: ");
		result.append(wB_6);
		result.append(", WB_7: ");
		result.append(wB_7);
		result.append(')');
		return result.toString();
	}

} //HyadesBrowserEnumerationImpl
