/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IMessages.java,v 1.1 2006-08-28 04:25:07 sleeloy Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.models.common.export.util;

import java.util.Locale;

import com.ibm.icu.util.ULocale;

public interface IMessages {
	public String getMessage(String key, Locale locale);
	public String getMessage(String key, ULocale locale);
	public String getMessage(String key);
}
