/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: TPFDefaultApplicationImpl.java,v 1.12 2009-05-05 15:49:19 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.testprofile.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.hyades.models.common.interactions.BVRInteractionFragment;
import org.eclipse.hyades.models.common.interactions.BVRLifeline;
import org.eclipse.hyades.models.common.interactions.BVRMessageEnd;
import org.eclipse.hyades.models.common.interactions.Common_Behavior_InteractionsPackage;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage;
import org.eclipse.hyades.models.common.testprofile.TPFDefault;
import org.eclipse.hyades.models.common.testprofile.TPFDefaultApplication;
import org.eclipse.hyades.models.common.testprofile.TPFTestComponent;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>TPF Default Application</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFDefaultApplicationImpl#getTestComponent <em>Test Component</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFDefaultApplicationImpl#getMessageEnd <em>Message End</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFDefaultApplicationImpl#getLifeline <em>Lifeline</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFDefaultApplicationImpl#getInteractionFragment <em>Interaction Fragment</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFDefaultApplicationImpl#getDefault <em>Default</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TPFDefaultApplicationImpl extends EObjectImpl implements TPFDefaultApplication
{
	/**
	 * The cached value of the '{@link #getTestComponent() <em>Test Component</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTestComponent()
	 * @generated
	 * @ordered
	 */
	protected TPFTestComponent testComponent;

	/**
	 * The cached value of the '{@link #getMessageEnd() <em>Message End</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMessageEnd()
	 * @generated
	 * @ordered
	 */
	protected BVRMessageEnd messageEnd;

	/**
	 * The cached value of the '{@link #getLifeline() <em>Lifeline</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLifeline()
	 * @generated
	 * @ordered
	 */
	protected BVRLifeline lifeline;

	/**
	 * The cached value of the '{@link #getDefault() <em>Default</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDefault()
	 * @generated
	 * @ordered
	 */
	protected TPFDefault default_;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TPFDefaultApplicationImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return Common_TestprofilePackage.Literals.TPF_DEFAULT_APPLICATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTestComponent getTestComponent() {
		if (testComponent != null && testComponent.eIsProxy()) {
			InternalEObject oldTestComponent = (InternalEObject)testComponent;
			testComponent = (TPFTestComponent)eResolveProxy(oldTestComponent);
			if (testComponent != oldTestComponent) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__TEST_COMPONENT, oldTestComponent, testComponent));
			}
		}
		return testComponent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTestComponent basicGetTestComponent() {
		return testComponent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTestComponent(TPFTestComponent newTestComponent) {
		TPFTestComponent oldTestComponent = testComponent;
		testComponent = newTestComponent;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__TEST_COMPONENT, oldTestComponent, testComponent));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BVRMessageEnd getMessageEnd() {
		if (messageEnd != null && messageEnd.eIsProxy()) {
			InternalEObject oldMessageEnd = (InternalEObject)messageEnd;
			messageEnd = (BVRMessageEnd)eResolveProxy(oldMessageEnd);
			if (messageEnd != oldMessageEnd) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__MESSAGE_END, oldMessageEnd, messageEnd));
			}
		}
		return messageEnd;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BVRMessageEnd basicGetMessageEnd() {
		return messageEnd;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMessageEnd(BVRMessageEnd newMessageEnd) {
		BVRMessageEnd oldMessageEnd = messageEnd;
		messageEnd = newMessageEnd;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__MESSAGE_END, oldMessageEnd, messageEnd));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BVRLifeline getLifeline() {
		if (lifeline != null && lifeline.eIsProxy()) {
			InternalEObject oldLifeline = (InternalEObject)lifeline;
			lifeline = (BVRLifeline)eResolveProxy(oldLifeline);
			if (lifeline != oldLifeline) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__LIFELINE, oldLifeline, lifeline));
			}
		}
		return lifeline;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BVRLifeline basicGetLifeline() {
		return lifeline;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLifeline(BVRLifeline newLifeline) {
		BVRLifeline oldLifeline = lifeline;
		lifeline = newLifeline;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__LIFELINE, oldLifeline, lifeline));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BVRInteractionFragment getInteractionFragment() {
		if (eContainerFeatureID() != Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT) return null;
		return (BVRInteractionFragment)eContainer();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetInteractionFragment(BVRInteractionFragment newInteractionFragment, NotificationChain msgs) {
		msgs = eBasicSetContainer((InternalEObject)newInteractionFragment, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT, msgs);
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setInteractionFragment(BVRInteractionFragment newInteractionFragment) {
		if (newInteractionFragment != eInternalContainer() || (eContainerFeatureID() != Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT && newInteractionFragment != null)) {
			if (EcoreUtil.isAncestor(this, newInteractionFragment))
				throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
			NotificationChain msgs = null;
			if (eInternalContainer() != null)
				msgs = eBasicRemoveFromContainer(msgs);
			if (newInteractionFragment != null)
				msgs = ((InternalEObject)newInteractionFragment).eInverseAdd(this, Common_Behavior_InteractionsPackage.BVR_INTERACTION_FRAGMENT__DEFAULT_APPLICATION, BVRInteractionFragment.class, msgs);
			msgs = basicSetInteractionFragment(newInteractionFragment, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT, newInteractionFragment, newInteractionFragment));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFDefault getDefault() {
		if (default_ != null && default_.eIsProxy()) {
			InternalEObject oldDefault = (InternalEObject)default_;
			default_ = (TPFDefault)eResolveProxy(oldDefault);
			if (default_ != oldDefault) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT, oldDefault, default_));
			}
		}
		return default_;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFDefault basicGetDefault() {
		return default_;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDefault(TPFDefault newDefault, NotificationChain msgs) {
		TPFDefault oldDefault = default_;
		default_ = newDefault;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT, oldDefault, newDefault);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDefault(TPFDefault newDefault) {
		if (newDefault != default_) {
			NotificationChain msgs = null;
			if (default_ != null)
				msgs = ((InternalEObject)default_).eInverseRemove(this, Common_TestprofilePackage.TPF_DEFAULT__DEFAULT_APPLICATIONS, TPFDefault.class, msgs);
			if (newDefault != null)
				msgs = ((InternalEObject)newDefault).eInverseAdd(this, Common_TestprofilePackage.TPF_DEFAULT__DEFAULT_APPLICATIONS, TPFDefault.class, msgs);
			msgs = basicSetDefault(newDefault, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT, newDefault, newDefault));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				if (eInternalContainer() != null)
					msgs = eBasicRemoveFromContainer(msgs);
				return basicSetInteractionFragment((BVRInteractionFragment)otherEnd, msgs);
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT:
				if (default_ != null)
					msgs = ((InternalEObject)default_).eInverseRemove(this, Common_TestprofilePackage.TPF_DEFAULT__DEFAULT_APPLICATIONS, TPFDefault.class, msgs);
				return basicSetDefault((TPFDefault)otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				return basicSetInteractionFragment(null, msgs);
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT:
				return basicSetDefault(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs) {
		switch (eContainerFeatureID()) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				return eInternalContainer().eInverseRemove(this, Common_Behavior_InteractionsPackage.BVR_INTERACTION_FRAGMENT__DEFAULT_APPLICATION, BVRInteractionFragment.class, msgs);
		}
		return super.eBasicRemoveFromContainerFeature(msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__TEST_COMPONENT:
				if (resolve) return getTestComponent();
				return basicGetTestComponent();
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__MESSAGE_END:
				if (resolve) return getMessageEnd();
				return basicGetMessageEnd();
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__LIFELINE:
				if (resolve) return getLifeline();
				return basicGetLifeline();
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				return getInteractionFragment();
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT:
				if (resolve) return getDefault();
				return basicGetDefault();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__TEST_COMPONENT:
				setTestComponent((TPFTestComponent)newValue);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__MESSAGE_END:
				setMessageEnd((BVRMessageEnd)newValue);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__LIFELINE:
				setLifeline((BVRLifeline)newValue);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				setInteractionFragment((BVRInteractionFragment)newValue);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT:
				setDefault((TPFDefault)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__TEST_COMPONENT:
				setTestComponent((TPFTestComponent)null);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__MESSAGE_END:
				setMessageEnd((BVRMessageEnd)null);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__LIFELINE:
				setLifeline((BVRLifeline)null);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				setInteractionFragment((BVRInteractionFragment)null);
				return;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT:
				setDefault((TPFDefault)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__TEST_COMPONENT:
				return testComponent != null;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__MESSAGE_END:
				return messageEnd != null;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__LIFELINE:
				return lifeline != null;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT:
				return getInteractionFragment() != null;
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION__DEFAULT:
				return default_ != null;
		}
		return super.eIsSet(featureID);
	}

} //TPFDefaultApplicationImpl
