/**********************************************************************
 * Copyright (c) 2012 IBM Corporation.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ProfileOnServerAdapter.java,v 1.18 2010-10-13 20:18:39 mreid Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.models.hierarchy.util;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class LongToObjectMapImpl2 implements LongToObjectMap {

	Map<Long, Object> _map = new HashMap<Long, Object>();

	public LongToObjectMapImpl2() {		
	}
	
	public int size() {
		return _map.size();
	}

	public boolean isEmpty() {
		return _map.isEmpty();
	}

	public boolean containsKey(Object key) {
		return _map.containsKey(key);
	}

	public boolean containsValue(Object value) {
		return _map.containsValue(value);
	}

	public Object get(Object key) {
		return _map.get(key);
	}

	public Object put(Object key, Object value) {
		return _map.put((Long)key, value);
	}

	public Object remove(Object key) {
		return _map.remove(key);
	}

	public void putAll(Map t) {
		_map.putAll(t);
		
	}

	public void clear() {
		_map.clear();
		
	}

	public Set keySet() {
		return _map.keySet();
	}

	public Collection values() {
		return _map.values();
	}

	public Set entrySet() {
		return _map.entrySet();
	}


}
