/**********************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: UntrustedCertificateAgentControllerException.java,v 1.1 2006-08-23 21:17:54 sleeloy Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.security.internal.util;

import java.security.KeyStore;
import java.security.cert.X509Certificate;

public class UntrustedCertificateAgentControllerException extends Exception {
	
    static final long serialVersionUID = 8905910358994494391L;
    
	protected KeyStore keyStore;
	protected X509Certificate certificate;
	protected Exception e;
	public X509Certificate getCertificate() {
		return certificate;
	}
	public void setCertificate(X509Certificate certificate) {
		this.certificate = certificate;
	}
	public KeyStore getKeyStore() {
		return keyStore;
	}
	public void setKeyStore(KeyStore keyStore) {
		this.keyStore = keyStore;
	}
	public UntrustedCertificateAgentControllerException(Exception e) {
		this.e = e;
	}
}
