/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IExtensibleEditorExtension.java,v 1.2 2005-02-25 22:17:55 hleung Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.internal.editor.extension;

import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.hyades.ui.editor.IEditorExtension;

/**
 * This interface defines a {@link IEditorExtension} that can be extended with more editing
 * pages in its editor.
 * 
 * @author bjiang
 * @since  1.3
 */
public interface IExtensibleEditorExtension extends IEditorExtension 
{
	public int addExtensionPage(IConfigurationElement extensionElement);

}
