/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ITestAssetGroupProxyNode.java,v 1.1 2005-03-18 16:43:34 jgout Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.proxy;

import org.eclipse.hyades.test.ui.navigator.IProxyNode;

/** This is the root node for test asset groups.
 * Each group defined by the extension point: 
 * <code>org.eclipse.hyades.test.ui.testNavigator.testAssetGroupProxy</code> implies such a node in the logical view of the test navigator
 * @author jgout
 * @since 4.0
 */
public interface ITestAssetGroupProxyNode extends IProxyNode {

}
