/********************************************************************** 
 * Copyright (c) 2008 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: IPasterExtended.java,v 1.1 2008-03-20 19:49:52 paules Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.refactoring;

import org.eclipse.hyades.test.ui.navigator.actions.IPaster;
import org.eclipse.swt.widgets.Shell;

/**
 * interface for graphical paster
 * @author Jerome Bozier
 * @version February 26, 2008
 */
public interface IPasterExtended extends IPaster {

	/**
	 * set the shell for graphical paster
	 * @param shell
	 */
	public void setShell(Shell shell);
}
