/**********************************************************************
 * Copyright (c) 2010, 2012 IBM Corporation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.trace.ui;

import java.util.List;

import org.eclipse.debug.ui.ILaunchConfigurationTab;

public interface IProfilerTabExtension {
	
	/** Provides the list of tabs from the particular profiling dialog tab group, and the class
	 * from which the extension is being called. (Bug 323330) */
	@SuppressWarnings("rawtypes")
	public void updateOrAddTabs(List<ILaunchConfigurationTab> tabs, Class srcClass);
	
}
