/* ***********************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: MarkerRegion.java,v 1.1 2005-03-30 08:26:42 dguilbaud Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: MarkerRegion.java,v 1.1 2005-03-30 08:26:42 dguilbaud Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.tptp.platform.report.chart.svg.internal.input;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Marker Region</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getColor <em>Color</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getFromValue <em>From Value</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getId <em>Id</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getLabel <em>Label</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getToValue <em>To Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getMarkerRegion()
 * @model 
 * @generated
 */
public interface MarkerRegion {
	/**
	 * Returns the value of the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Color</em>' attribute.
	 * @see #setColor(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getMarkerRegion_Color()
	 * @model 
	 * @generated
	 */
	String getColor();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getColor <em>Color</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Color</em>' attribute.
	 * @see #getColor()
	 * @generated
	 */
	void setColor(String value);

	/**
	 * Returns the value of the '<em><b>From Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>From Value</em>' attribute.
	 * @see #isSetFromValue()
	 * @see #unsetFromValue()
	 * @see #setFromValue(double)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getMarkerRegion_FromValue()
	 * @model unsettable="true"
	 * @generated
	 */
	double getFromValue();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getFromValue <em>From Value</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>From Value</em>' attribute.
	 * @see #isSetFromValue()
	 * @see #unsetFromValue()
	 * @see #getFromValue()
	 * @generated
	 */
	void setFromValue(double value);

	/**
	 * Unsets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getFromValue <em>From Value</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFromValue()
	 * @see #getFromValue()
	 * @see #setFromValue(double)
	 * @generated
	 */
	void unsetFromValue();

	/**
	 * Returns whether the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getFromValue <em>From Value</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>From Value</em>' attribute is set.
	 * @see #unsetFromValue()
	 * @see #getFromValue()
	 * @see #setFromValue(double)
	 * @generated
	 */
	boolean isSetFromValue();

	/**
	 * Returns the value of the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id</em>' attribute.
	 * @see #setId(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getMarkerRegion_Id()
	 * @model id="true"
	 * @generated
	 */
	String getId();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getId <em>Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id</em>' attribute.
	 * @see #getId()
	 * @generated
	 */
	void setId(String value);

	/**
	 * Returns the value of the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Label</em>' attribute.
	 * @see #setLabel(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getMarkerRegion_Label()
	 * @model 
	 * @generated
	 */
	String getLabel();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getLabel <em>Label</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Label</em>' attribute.
	 * @see #getLabel()
	 * @generated
	 */
	void setLabel(String value);

	/**
	 * Returns the value of the '<em><b>To Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>To Value</em>' attribute.
	 * @see #isSetToValue()
	 * @see #unsetToValue()
	 * @see #setToValue(double)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getMarkerRegion_ToValue()
	 * @model unsettable="true"
	 * @generated
	 */
	double getToValue();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getToValue <em>To Value</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>To Value</em>' attribute.
	 * @see #isSetToValue()
	 * @see #unsetToValue()
	 * @see #getToValue()
	 * @generated
	 */
	void setToValue(double value);

	/**
	 * Unsets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getToValue <em>To Value</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetToValue()
	 * @see #getToValue()
	 * @see #setToValue(double)
	 * @generated
	 */
	void unsetToValue();

	/**
	 * Returns whether the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion#getToValue <em>To Value</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>To Value</em>' attribute is set.
	 * @see #unsetToValue()
	 * @see #getToValue()
	 * @see #setToValue(double)
	 * @generated
	 */
	boolean isSetToValue();

} // MarkerRegion
